Tenant

Get all tenants

Fetches all tenants, with optional parameters for pagination and search

GET
/api/v2/tenants

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Query Parameters

limit?integer

Maximum number of tenants to return (pagination limit)

Default30
offset?integer

Offset to start pagination

Default0
search?string

Optional search term to filter tenants

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/tenants"
{  "tenants": [    {      "id": "ab51808b-43f3-4874-b5ed-2417f62b5b2c",      "name": "saas.b2broker",      "languages": [        1      ],      "productId": "7c6c2c68-2def-421a-b4d0-107351f13049",      "allSourcesCount": 465,      "languagesCount": 1    }  ],  "pagination": {    "maxCount": 1  }}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}